/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.container.transporter.local;

import java.util.Arrays;
import java.util.List;

import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringObject;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringSubFunction;

/**
 * The monitoring object associated to the local transporter of the Petals
 * container.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class LocalTransporter implements MonitoringObject {

    private final static String NAME = "local-transporter";

    private final static String DESCRIPTION = "Message exchange local transporter";

    private final static MonitoringSubFunction[] SUBFUNCTIONS = new MonitoringSubFunction[] { new DeliveredMessages() };

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getDescription() {
        return DESCRIPTION;
    }

    @Override
    public List<MonitoringSubFunction> getSubFunctions() {
        return Arrays.asList(LocalTransporter.SUBFUNCTIONS);
    }

}
