/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.components.bc.soap;

import static org.ow2.petals.cli.extension.command.monitoring.mo.Assert.assertMonitoringSubFunctions;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringSubFunction;
import org.ow2.petals.cli.extension.command.monitoring.mo.components.framework.CdkBasedComponentTest;

/**
 * Unit tests about {@link BcSoap}
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class BcSoapTest {

    private final static List<Class<? extends MonitoringSubFunction>> EXPECTED_SUB_FUNCTIONS;

    static {
        EXPECTED_SUB_FUNCTIONS = new ArrayList<>(CdkBasedComponentTest.EXPECTED_SUB_FUNCTIONS);
        EXPECTED_SUB_FUNCTIONS.add(IncomingHttpRequestsCount.class);
        EXPECTED_SUB_FUNCTIONS.add(IncomingServiceContractRequestsCount.class);
        EXPECTED_SUB_FUNCTIONS.add(IncomingWsRequestsCount.class);
        EXPECTED_SUB_FUNCTIONS.add(IncomingWsRequestsResponseTimes.class);
        EXPECTED_SUB_FUNCTIONS.add(HttpThreadPool.class);
        EXPECTED_SUB_FUNCTIONS.add(WsClientPools.class);
        EXPECTED_SUB_FUNCTIONS.add(OutgoingWsRequestsCount.class);
        EXPECTED_SUB_FUNCTIONS.add(OutgoingWsRequestsResponseTimes.class);
    }

    /**
     * Check the expected sub-functions
     */
    @Test
    public void embeddedSubFunctions() {

        assertMonitoringSubFunctions(new BcSoap(), EXPECTED_SUB_FUNCTIONS);
    }

}
